> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List regions



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v1/regions
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/regions:
    get:
      tags:
        - Regions
      summary: List regions
      operationId: RegionHandler.get
      parameters:
        - in: query
          name: display_name
          required: false
          description: Filter regions by display name. Case-insensitive exact match.
          schema:
            description: Filter regions by display name. Case-insensitive exact match.
            example: Luxembourg
            examples:
              - Luxembourg
            title: Display Name
            type: string
        - in: query
          name: limit
          required: false
          description: >-
            Limit the number of returned regions. Falls back to default of 100
            if not specified. Limited by max limit value of 1000
          schema:
            default: 100
            description: >-
              Limit the number of returned regions. Falls back to default of 100
              if not specified. Limited by max limit value of 1000
            example: 100
            examples:
              - 100
            exclusiveMinimum: 0
            maximum: 1000
            title: Limit
            type: integer
        - in: query
          name: offset
          required: false
          description: >-
            Offset value is used to exclude the first set of records from the
            result
          schema:
            default: 0
            description: >-
              Offset value is used to exclude the first set of records from the
              result
            example: 0
            examples:
              - 0
            minimum: 0
            title: Offset
            type: integer
        - in: query
          name: order_by
          required: false
          description: Order by field and direction.
          schema:
            $ref: '#/components/schemas/RegionOrderByChoices'
            default: created_at.desc
            description: Order by field and direction.
            examples:
              - created_at.desc
        - in: query
          name: product
          required: false
          description: If defined then return only regions that support given product.
          schema:
            $ref: '#/components/schemas/RegionProductChoices'
            description: If defined then return only regions that support given product.
            examples:
              - inference
        - in: query
          name: show_volume_types
          required: false
          description: >-
            If true, null `available_volume_type` is replaced with a list of
            available volume types.
          schema:
            default: false
            description: >-
              If true, null `available_volume_type` is replaced with a list of
              available volume types.
            example: false
            examples:
              - false
            title: Show Volume Types
            type: boolean
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegionCollectionSerializer'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            page = client.cloud.regions.list()
            page = page.results[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.Cloud.Regions.List(context.TODO(), cloud.RegionListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
components:
  schemas:
    RegionOrderByChoices:
      enum:
        - created_at.asc
        - created_at.desc
        - display_name.asc
        - display_name.desc
      title: RegionOrderByChoices
      type: string
    RegionProductChoices:
      enum:
        - containers
        - inference
      title: RegionProductChoices
      type: string
    RegionCollectionSerializer:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            $ref: '#/components/schemas/RegionSerializer'
          title: Results
          type: array
      required:
        - count
        - results
      title: RegionCollectionSerializer
      type: object
    RegionSerializer:
      properties:
        access_level:
          $ref: '#/components/schemas/RegionAccessType'
          description: The access level of the region.
          examples:
            - core
        available_volume_types:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: List of available volume types, 'standard', 'ssd_hiiops', 'cold'].
          examples:
            - - standard
              - ssd_hiiops
              - cold
          title: Available Volume Types
        coordinates:
          anyOf:
            - $ref: '#/components/schemas/Coordinate'
            - type: 'null'
          description: Coordinates of the region
          examples:
            - latitude: 41.40338
              longitude: 2.17403
          title: Coordinates
        country:
          description: Two-letter country code, ISO 3166-1 alpha-2
          example: LU
          examples:
            - LU
          pattern: ^\w{2}$
          title: Country
          type: string
        created_at:
          description: Region creation date and time
          example: '2019-12-31T23:59:59'
          examples:
            - '2019-12-31T23:59:59'
          format: date-time
          title: Created At
          type: string
        created_on:
          deprecated: true
          description: This field is deprecated. Use `created_at` instead.
          example: '2019-12-31T23:59:59'
          examples:
            - '2019-12-31T23:59:59'
          format: date-time
          title: Created On
          type: string
        ddos_endpoint_id:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          deprecated: true
          description: DDoS endpoint ID
          examples:
            - 3
          title: Ddos Endpoint Id
        display_name:
          description: Human-readable region name
          example: Luxembourg
          examples:
            - Luxembourg
          title: Display Name
          type: string
        endpoint_type:
          $ref: '#/components/schemas/RegionEndpointType'
          description: Endpoint type
          examples:
            - public
        external_network_id:
          anyOf:
            - type: string
            - type: 'null'
          description: External network ID for Neutron
          examples:
            - c843c3e6-ef4d-4b92-8db2-e16ac05c5650
          title: External Network Id
        file_share_types:
          anyOf:
            - items:
                $ref: '#/components/schemas/FileShareStorageType'
              type: array
            - type: 'null'
          description: List of available file share types
          examples:
            - - standard
              - vast
          title: File Share Types
        has_ai:
          description: Region has AI capability
          example: true
          examples:
            - true
          title: Has Ai
          type: boolean
        has_ai_gpu:
          description: Region has AI GPU capability
          example: true
          examples:
            - true
          title: Has Ai Gpu
          type: boolean
        has_baremetal:
          description: Region has bare metal capability
          example: false
          examples:
            - false
          title: Has Baremetal
          type: boolean
        has_basic_vm:
          description: Region has basic vm capability
          example: false
          examples:
            - false
          title: Has Basic Vm
          type: boolean
        has_dbaas:
          description: Region has DBAAS service
          example: false
          examples:
            - false
          title: Has Dbaas
          type: boolean
        has_ddos:
          description: Region has Advanced DDoS Protection capability
          example: true
          examples:
            - true
            - false
          title: Has Ddos
          type: boolean
        has_k8s:
          description: Region has managed kubernetes capability
          example: true
          examples:
            - true
          title: Has K8S
          type: boolean
        has_kvm:
          description: Region has KVM virtualization capability
          example: true
          examples:
            - true
          title: Has Kvm
          type: boolean
        has_sfs:
          description: Region has SFS capability
          example: false
          examples:
            - false
          title: Has Sfs
          type: boolean
        id:
          description: Region ID
          example: 1
          examples:
            - 1
          title: Id
          type: integer
        keystone_id:
          description: Foreign key to Keystone entity
          example: 1
          examples:
            - 1
          title: Keystone Id
          type: integer
        keystone_name:
          description: Technical region name
          example: ED-9
          examples:
            - ED-9
          title: Keystone Name
          type: string
        metrics_database_id:
          anyOf:
            - type: integer
            - type: 'null'
          description: Foreign key to Metrics database entity
          examples:
            - 1
          title: Metrics Database Id
        slug:
          description: >-
            Short, human-readable region identifier (e.g. luxembourg-2,
            santa-clara-1).
          example: luxembourg-1
          examples:
            - luxembourg-1
          title: Slug
          type: string
        state:
          $ref: '#/components/schemas/RegionState'
          description: Region state
          examples:
            - NEW
        task_id:
          anyOf:
            - type: string
            - type: 'null'
          deprecated: true
          description: This field is deprecated and can be ignored
          examples:
            - null
          title: Task Id
        vlan_physical_network:
          description: Physical network name to create vlan networks
          example: br-ex
          examples:
            - br-ex
          title: Vlan Physical Network
          type: string
        zone:
          anyOf:
            - $ref: '#/components/schemas/Zone'
            - type: 'null'
          description: Geographical zone
          examples:
            - EMEA
      required:
        - id
        - display_name
        - keystone_name
        - slug
        - state
        - country
        - zone
        - task_id
        - endpoint_type
        - external_network_id
        - created_on
        - created_at
        - keystone_id
        - has_kvm
        - has_baremetal
        - has_basic_vm
        - has_sfs
        - has_dbaas
        - has_ddos
        - vlan_physical_network
        - available_volume_types
        - metrics_database_id
        - access_level
        - has_k8s
        - has_ai
        - has_ai_gpu
        - coordinates
        - file_share_types
      title: Region object
      type: object
    RegionAccessType:
      enum:
        - core
        - edge
      title: RegionAccessType
      type: string
    Coordinate:
      properties:
        latitude:
          example: '41.40338'
          examples:
            - '41.40338'
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Latitude
          type: string
        longitude:
          example: '2.17403'
          examples:
            - '2.17403'
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Longitude
          type: string
      required:
        - latitude
        - longitude
      title: Coordinate
      type: object
    RegionEndpointType:
      enum:
        - admin
        - internal
        - public
      title: RegionEndpointType
      type: string
    FileShareStorageType:
      enum:
        - standard
        - vast
      title: FileShareStorageType
      type: string
    RegionState:
      enum:
        - ACTIVE
        - DELETED
        - DELETING
        - DELETION_FAILED
        - INACTIVE
        - MAINTENANCE
        - NEW
      title: RegionState
      type: string
    Zone:
      enum:
        - AMERICAS
        - APAC
        - EMEA
        - RUSSIA_AND_CIS
      title: Zone
      type: string
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````